using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议主题")]
    public class T_SC_MT_MEETING_THEME : MesEntityBase
    {

        /// <summary>
        /// 编号
        /// </summary>
        [Description("编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 主题
        /// </summary>
        [Description("主题")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 会议类型
        /// </summary>
        [Description("会议类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public SCMEETINGTYPE? MEETINGTYPE { get; set; }

    }
}